Package ru.bitel.bgbilling.modules.gorod.server.bean

# Class TagManager

java.lang.Object
ru.bitel.bgbilling.modules.gorod.server.bean.TagManager

public class TagManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected int`
  `mid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTag(String tagTitle)`
  `void`
  `deleteTag(int tagId)`
  `void`
  `deleteTagFromContract(int cid, int tagId)`
  `Tag`
  `getTagById(int tagId)`
  `Tag`
  `getTagByID(int tagId)`
  Deprecated.
  `List<Tag>`
  `getTagList()`
  `List<Tag>`
  `getTagListForContract(int cid)`
  `Set<Integer>`
  `getTagSetForContract(int cid)`
  `void`
  `linkTagToContract(int cid, int tagId)`
  `void`
  `updateTag(Tag tag)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mid

    protected int mid

  - ### con

    protected Connection con

- ## Constructor Details

  - ### TagManager

    public TagManager(Connection con, int mid)

- ## Method Details

  - ### getTagList

    public List<Tag> getTagList()

  - ### getTagListForContract

    public List<Tag> getTagListForContract(int cid)

  - ### getTagSetForContract

    public Set<Integer> getTagSetForContract(int cid)

  - ### getTagById

    public Tag getTagById(int tagId)

  - ### getTagByID

    @Deprecated public Tag getTagByID(int tagId)
    Deprecated.
    Использовать `getTagById(int)`.
    Parameters:
      `tagId` -
    Returns:

  - ### updateTag

    public void updateTag(Tag tag)

  - ### addTag

    public void addTag(String tagTitle)

  - ### deleteTag

    public void deleteTag(int tagId)

  - ### deleteTagFromContract

    public void deleteTagFromContract(int cid, int tagId)

  - ### linkTagToContract

    public void linkTagToContract(int cid, int tagId)